package com.hdkj.lt.base.enums;

/**
 * @Description: 数据变化类型标识
 * @Author: wenhao
 * @Create: 2023/03/24 15:52
 * @Version: 1.0
 */
public enum ChangeTypeEnum implements BaseValidEnum<String> {

    /**
     * 删除
     */
    DELETE("delete", "删除"),

    /**
     * 新增
     */
    INSERT("insert", "新增"),

    /**
     * 修改
     */
    UPDATE("update", "修改");

    final String code;

    final String desc;

    ChangeTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

}
